<template>
  <div class="hero-head navbar-fixed">
    <div class="container">
      <nav class="navbar is-transparent" >
        <div class="navbar-brand">
          <div class="navbar-burger" :class="{'is-active': mobileMenuClicked}" @click="mobileMenuClicked = !mobileMenuClicked">
            <span></span>
            <span></span>
            <span></span>
          </div>
        </div>
        <div class="navbar-end" v-show="mobileMenuClicked">
          <a class="navbar-item is-tab">
            <router-link to="/dashboard"> <span> Dashboard </span> </router-link>
          </a>
          <a class="navbar-item is-tab">
            <router-link to="/task"> <span> Create Task </span> </router-link>
          </a>
          <a class="navbar-item is-tab">
            <router-link to="/admin"> <span> Admin Panel </span> </router-link>
          </a>
          <a class="navbar-item is-tab">
             <span @click="logout"> Log Out  </span>
          </a>

        </div>
      </nav>
    </div>
    <hr class="navbar-divider is-marginless">
  </div>


</template>
<script>

  import firebase from 'firebase';
  import axios from 'axios'
  import VueAxios from 'vue-axios'
  import Vue from 'vue'
  export default {
    data () {
      return {
        mobileMenuClicked: true
      }
    },
    methods: {

      logout: function() {
        firebase.auth().signOut().then(() => {
          this.$router.replace('login')
        })
      }
    },
    created () {
      this.buttons[0].active = true;
      const intViewportWidth = window.innerWidth;
      if(intViewportWidth < 1008) {
        this.mobileMenuClicked = false;
      }
    }
  }
</script>

<style scoped>
  .navbar-fixed {
    padding-bottom: 50px;
  }
</style>
